#!/bin/sh

# ###########################################################
#
# The batch file assumes you have a directories like this:
#
# . = main directory
# ./bin = programs directory
# ./jvm = PropellerJVM directory
# ./lib = Java Library directory
# ./src = Java Source directory
# 
# jikes should be installed in your path
# jikes for debian/ubuntu is available from
#   http://packages.debian.org/lenny/jikes
#
# build.sh syntax: ./build.sh java-filename
#
# Example:
# ./build.sh HelloWorld
#
# ###########################################################

JAVA="$1"
BIN_PATH=./bin
JVM_PATH=./jvm
SRC_PATH=./src
LIB_PATH=./lib

jikes -target 1.1 -classpath "${LIB_PATH}:${SRC_PATH}" ${SRC_PATH}/${JAVA}.java
${BIN_PATH}/jlink --path "${LIB_PATH};${SRC_PATH}" ${JAVA}
rm -f ${JVM_PATH}/jem.bin
cp -f ${SRC_PATH}/${JAVA}.jem ${JVM_PATH}/jem.bin
rm -f ${JAVA}.jem
