@echo on
@rem  # ###########################################################
@rem  #
@rem  # Used to load previously built program to Propeller EEPROM
@rem  #
@rem  # The batch file assumes you have a directories like this:
@rem  #
@rem  # . = main directory
@rem  # .\bin = programs directory
@rem  # .\jvm = PropellerJVM directory
@rem  # .\lib = Java Library directory
@rem  # .\src = Java Source directory
@rem  # 
@rem  # load.bat syntax: load comport
@rem  #
@rem  # Example:
@rem  # load com8
@rem  #
@rem  # ###########################################################

@set comm=%1%
@set jemfile=%2%
@set JVM_PATH=.\jvm
@set source=.\src
@set library=.\lib

bin\bstc -Oxcr -f -p0 -d %comm% -L . %JVM_PATH%\EEprog32Kplus.spin
