#!/bin/sh
# ###########################################################
#
# The batch file assumes you have bin and jvm directories.
# All this does is build the PropellerJVM.
# Use load.sh to program the eeprom with your java program.
# 
# ###########################################################

if [ "${PROPLIB_PATH}X" = "X" ]; then
   PROPLIB_PATH="${HOME}/spin"
fi

JVM_PATH=./jvm

bin/bstc.linux -Oxcr -f -p0 -L ${PROPLIB_PATH} -d $1 ${JVM_PATH}/pjvm_demo

# just for build test
#bin/bstc.linux -Oxcr -f -p0 -ls -L . jvm\pjvm_demo
#bin/bstc.linux -DBMAD -ls -Oxcr -f -p0 -d %1 -L . -L ${PROPLIB_PATH} ${JVM_PATH}/pjvm_demo
#bin/bstc.linux -DXRUNNER -DOPCODES -Oxcr -f -p0 -d %1 -L . -L ${PROPLIB_PATH} ${JVM_PATH}/pjvm_demo

