#!/bin/sh
# ###########################################################
#
# Used to load previously built program to Propeller EEPROM
#
# The batch file assumes you have a directories like this:
#
# . = main directory
# ./bin = programs directory
# ./jvm = PropellerJVM directory
# ./lib = Java Library directory
# ./src = Java Source directory
# 
# load.sh syntax: ./load.sh port
#
# Example:
# load com8
#
# ###########################################################

JVM_PATH=./jvm

bin/bstc.linux -Oxcr -f -p0 -d "$1" -L . ${JVM_PATH}/EEprog32Kplus

